summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xfunctions/cursor.sh51
1 files changed, 51 insertions, 0 deletions
diff --git a/functions/cursor.sh b/functions/cursor.sh
new file mode 100755
index 0000000..d2ea8eb
--- /dev/null
+++ b/functions/cursor.sh
@@ -0,0 +1,51 @@
+#!/bin/sh
+
+# cursor.sh - define cursor movements
+# Copyright (C) 2006-2008 Daniel Baumann <daniel@debian.org>
+#
+# live-helper comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+# This is free software, and you are welcome to redistribute it
+# under certain conditions; see COPYING for details.
+
+set -e
+
+Cursor_position ()
+{
+ __LINE="${1}"
+ __COLUMN="${2}"
+
+ #echo -e "[${__LINE};${__COLUMN};H\c"
+ printf "[${__LINE};${__COLUMN};H"
+}
+
+Cursor_line_up ()
+{
+ __LINES="${1}"
+
+ #echo -e "[${__LINES}A\c"
+ printf "[${__LINES}A"
+}
+
+Cursor_line_down ()
+{
+ __LINES="${1}"
+
+ #echo -e "[${__LINES}B\c"
+ printf "[${__LINES}B"
+}
+
+Cursor_columns_forward ()
+{
+ __COLUMNS="${1}"
+
+ #echo -e "[${__COLUMNS}C\c"
+ printf "[${__COLUMNS}C"
+}
+
+Cursor_columns_backward ()
+{
+ __COLUMNS="${1}"
+
+ #echo -e "[${__COLUMNS}D\c"
+ printf "[${__COLUMNS}D"
+}